.jumbotron .jumbotron_bar{
    padding: 16px 0 14px 0 !important;
}

.jumbotron .jumbotron_bar .breadcrumb li a{
    border: 2px solid #fff !important;
    padding: 6px !important;
    border-radius: 30px !important;
}
.jumbotron .jumbotron_bar .breadcrumb li a:hover{
    border: 2px solid #fff !important;
    background: #ffffff50 !important;
    background-color: #ffffff50 !important;
}
.jumbotron .jumbotron_bar .breadcrumb li .link-active{
    background: #ffffff50 !important;
}

.dropdown-item:hover{
    color:#23282c !important;
}

.dropdown-item a:hover{
    color:#23282c !important;
}

.dropdown-item:hover{
    color:#23282c !important;
}

.navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.ck-editor__editable,
textarea {
    min-height: 150px;
}

.datatable {
    width: 100% !important;
}

#navbarNavProfile .dropdown-toggle{
    padding: 10px !important;
}
#navbarNavProfile .dropdown-toggle::after{
    display: none !important;
}

.bg-panel {
    background-color: #3d51a9 !important;
}

.border-bottom-amarillo{
    border-bottom: 4px solid #edff82 !important;
}


.navbar ul li .dropdown-menu{
    background: #fde3a7 !important;
}

.dropdown-menu{
    background-color: #fde3a7 !important;
    background: #fde3a7 !important;
    z-index: 999999 !important;
}

.dropdown-menu li a:focus{
    background-color: #fde3a7 !important;
    background: #fde3a7 !important;
}

.dropdown-menu li a:not(.btn):focus{
    background-color: #fde3a7 !important;
    background: #fde3a7 !important;
}
.navbar-default .navbar-nav>li>a:hover, .navbar-default .navbar-nav>li>a:focus{
    background-color: #ffffff !important;
    background: #ffffff !important;
    color:#242c4f !important;
    border-radius: 0px !important;
    font-weight: 700 !important;
    border: 3px solid #fff !important;
}
.navbar-default .navbar-nav>li>a:hover, .navbar-default .navbar-nav>li>a{
    font-weight: 700 !important;
    border: 3px solid #fff !important;
    border-radius: 0px !important;
    padding-left: 15px !important;
}

.navbar-link-selected{
    background-color: #ffffff !important;
    background: #ffffff !important;
}

.navbar-link-selected .nav-link{
    color:#242c4f !important;
}
.navbar-link-selected .active{
    color:#242c4f !important;
}

table.dataTable tbody td.select-checkbox::before,
table.dataTable tbody td.select-checkbox::after,
table.dataTable tbody th.select-checkbox::before,
table.dataTable tbody th.select-checkbox::after {
    top: 50%;
}

.dataTables_length,
.dataTables_filter,
.dt-buttons {
    margin-bottom: 0.333em;
    margin-top: .2rem;
}

.dataTables_filter {
    margin-right: .2rem;
}

.dt-buttons .btn {
    margin-left: 0.333em;
    border-radius: 0;
}

.table.datatable {
    box-sizing: border-box;
    border-collapse: collapse;
}

table.dataTable thead th {
    border-bottom: 2px solid #c8ced3;
}

.dataTables_wrapper.no-footer .dataTables_scrollBody {
    border-bottom: 1px solid #c8ced3;
}

.select2 {
    max-width: 100%;
    width: 100% !important;
}

.select2-selection__rendered {
    padding-bottom: 5px !important;
}

.has-error .invalid-feedback {
    display: block !important;
}

.btn-info,
.badge-info {
    color: white;
}

table.dataTable thead .sorting,
table.dataTable thead .sorting_asc,
table.dataTable thead .sorting_desc {
    background-image: none;
}

.sidebar .nav-item {
    cursor: pointer;
}

.btn-default {
    color: #23282c;
    background-color: #f0f3f5;
    border-color: #f0f3f5;
}

.btn-default.focus,
.btn-default:focus {
    box-shadow: 0 0 0 .2rem rgba(209, 213, 215, .5);
}

.btn-default:hover {
    color: #23282c;
    background-color: #d9e1e6;
    border-color: #d1dbe1;
}

.btn-group-xs > .btn,
.btn-xs {
    padding: 1px 5px;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 3px;
}

.searchable-title {
    font-weight: bold;
}
.searchable-fields {
    padding-left:5px;
}
.searchable-link {
    padding:0 5px 0 5px;
}
.searchable-link:hover   {
    cursor: pointer;
    background: #eaeaea;
}
.select2-results__option {
    padding-left: 0px;
    padding-right: 0px;
}

.form-group .required::after {
    content: " *";
    color: red;
}

.form-check.is-invalid ~ .invalid-feedback {
    display: block;
}

.c-sidebar-brand .c-sidebar-brand-full:hover {
    color: inherit;
}

.custom-select.form-control-sm {
    padding: 0.25rem 1.5rem;
}

.list-group-item{
    background-color: #fff !important;
}


.text-decoration-none{
    text-decoration: none !important;
}

.navbar-panel{
    min-height: 40px !important;
    background-color: #333 !important;
}

.breadcrumb-panel .nav-item .btn{
    border-radius: 0px !important;
    border: none !important;
    color: #fff !important;
}       

.breadcrumb-panel .nav-item .btn::after{
    border-radius: 0px !important;
    border: none !important;
}   

.breadcrumb-panel .nav-item .btn:focus{
    border-radius: 0px !important;
    border: none !important;
    outline: none;
    box-shadow: none; /* Opcional: para quitar el efecto de sombra que a veces se aplica en botones al hacer clic */

}   

.breadcrumb-panel .nav-item .dropdown-toggle::after {
    display: none !important;
    z-index: 0 !important;
}

.breadcrumb-panel .nav-item .dropdown-menu{
    background: #333 !important;
}
.breadcrumb-panel .nav-item .dropdown-menu li{
    background: #333 !important;
}

@media (max-width: 768px) {
    .breadcrumb-panel .nav-item{
        padding-top: 0px !important;
    }
    }

    @media (min-width: 768px) {
        .breadcrumb-panel .nav-item{
            padding-top: 10px !important;
        }
        }

.collapse-modules-text{
    color:#fff;
    padding: 15px;

}
        
.link-active{
    background: #474747 !important;
}

.breadcrumb-panel .nav-item:hover{
    background: #474747 !important;
    color: #fff !important;
    border-radius: 0px !important;
}


.breadcrumb-panel .nav-item .dropdown-menu li a:hover{
    background: #474747 !important;
    color: #fff !important;
    border-radius: 0px !important;

}

.breadcrumb-panel .nav-item .dropdown-menu li a:focus{
    background: #474747 !important;
    color: #fff !important;

}
.breadcrumb-panel .nav-item .dropdown-menu li a:active{
    background: #474747 !important;
    color: #fff !important;

}

.dropdown-menu{
    border-radius: 0px !important;
}

.dropdown-menu li:first-of-type a{
    border-radius: 0px !important;
}

.img-login{
    width: 40px;
}

.navbar-brand{
    color:#fff !important;
}


.file-upload {
    border: 2px dashed #ccc;
    padding: 20px;
    text-align: center;
    justify-items: center;
    margin-bottom: 20px;
}

.file-input-label {
    display: inline-block;
    cursor: pointer;
    padding: 10px 20px;
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.file-input-label i {
    margin-right: 5px;
}

.file-list {
    list-style-type: none;
    padding: 0;
}

.file-list li {
    margin-bottom: 5px;
}

.file-list li .file-info {
    display: inline-block;
    margin-right: 10px;
}

.file-list li .delete-file {
    cursor: pointer;
    color: red;
}


.dataTables_wrapper .dataTables_paginate .paginate_button:hover{
    background-color: none !important;
    background: none !important;
    border: none !important;
}


.card {
    z-index: 1 !important; /* Valor bajo para que no esté encima de las notificaciones */
    margin-bottom: 20px !important;
}

div.notify {
    z-index: 9999 !important; /* Valor bajo para que no esté encima de las notificaciones */
}
  .accordion .card-header:after {
    font-family: 'FontAwesome';  
    content: "\f107";
    float: right; 
    transition: transform 0.2s ease;
}

#search-results {
    border: 2px solid #ccc;
}
#search-results a {
    text-decoration: none; /* Quita el subrayado */
}

#search-results a:hover {
    text-decoration: underline; /* Subrayar al pasar el mouse */
}

#loading-form {
    position: fixed; /* Mantenerlo fijo en la ventana */
    top: 0; /* Iniciar en la parte superior */
    left: 0; /* Iniciar en la parte izquierda */
    width: 100%; /* Ancho completo */
    height: 100%; /* Altura completa */
    background-color: rgba(255, 255, 255, 0.8); /* Fondo blanco con opacidad */
    color: #000; /* Color del texto */
    display: flex; /* Usar flexbox para centrar */
    justify-content: center; /* Centrar horizontalmente */
    align-items: center; /* Centrar verticalmente */
    z-index: 9999; /* Mantenerlo encima de otros elementos */
    text-align: center; /* Alinear el texto al centro */
    display: none; /* Inicialmente ocultar */
}

#loading-form img {
    width: 50px; /* Ajusta el tamaño del spinner */
    height: 50px;
}

/* Asegura que el enlace tenga texto negro y fondo blanco cuando está activo o seleccionado */
.navbar .dropdown-item.navbar-link-selected,
.navbar .dropdown-item.active {
    background-color: #fff !important; /* Fondo blanco */
    color: #000 !important; /* Texto en negro */
}

/* También asegúrate de que en hover el estilo se mantenga */
.navbar .dropdown-item.navbar-link-selected:hover,
.navbar .dropdown-item.active:hover {
    background-color: #fff !important; /* Fondo blanco en hover */
    color: #000 !important; /* Texto en negro */
}

/* Opcional: mejorar la experiencia visual cuando no está seleccionado */
.navbar .dropdown-item:hover {
    background-color: #f0f0f0 !important; /* Un gris suave en hover cuando no está activo */
    color: #000 !important;
}
    /* Ocultar el mensaje "Powered by BotMan" */
    .botman-widget .banner {
        display: none !important;
    }

    /* Personalizar el ícono */
    .botman-widget-button i {
        font-size: 30px;  /* Tamaño del ícono */
        color: #ff6347;   /* Color del ícono */
    }
